>From b0eed126a123678b7fa6ec4556432d1c6f304ef9 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tobias=20G=C3=BCntner?= <fatbull@web.de>
Date: Mon, 26 Sep 2011 13:31:52 +0000
Subject: [PATCH] Remove unused struct member

---
 include/vlc_input.h                   |    2 --
 modules/demux/mkv/virtual_segment.cpp |    2 --
 2 files changed, 0 insertions(+), 4 deletions(-)

diff --git a/include/vlc_input.h b/include/vlc_input.h
index 428df83..ba33d8f 100644
--- a/include/vlc_input.h
+++ b/include/vlc_input.h
@@ -83,7 +83,6 @@ struct seekpoint_t
     int64_t i_byte_offset;
     int64_t i_time_offset;
     char    *psz_name;
-    int     i_level;
 };
 
 static inline seekpoint_t *vlc_seekpoint_New( void )
@@ -91,7 +90,6 @@ static inline seekpoint_t *vlc_seekpoint_New( void )
     seekpoint_t *point = (seekpoint_t*)malloc( sizeof( seekpoint_t ) );
     point->i_byte_offset =
     point->i_time_offset = -1;
-    point->i_level = 0;
     point->psz_name = NULL;
     return point;
 }
diff --git a/modules/demux/mkv/virtual_segment.cpp b/modules/demux/mkv/virtual_segment.cpp
index 5bf29a7..7f7e191 100644
--- a/modules/demux/mkv/virtual_segment.cpp
+++ b/modules/demux/mkv/virtual_segment.cpp
@@ -501,7 +501,6 @@ int virtual_chapter_c::PublishChapters( input_title_t & title, int & i_user_chap
     {
         seekpoint_t *sk = vlc_seekpoint_New();
 
-        sk->i_level = i_level;
         sk->i_time_offset = i_virtual_start_time;
         if( p_chapter )
             sk->psz_name = strdup( p_chapter->psz_name.c_str() );
@@ -534,7 +533,6 @@ int virtual_edition_c::PublishChapters( input_title_t & title, int & i_user_chap
     {
         seekpoint_t *sk = vlc_seekpoint_New();
 
-        sk->i_level = i_level;
         sk->i_time_offset = 0;
         if( p_edition )
             sk->psz_name = strdup( p_edition->psz_name.c_str() );
-- 
1.7.0.4

